List article schedules
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"schedules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "publish",
"datetime": "2999-01-01T10:00:00+05:30",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
]
}{
"error": "Not found."
}Articles
List article schedules
This API lists the scheduled publish and unpublish actions of an article. For CLI sessions, this needs the Modify articles permission.
GET
/
articles
/
{article_id}
/
schedules
List article schedules
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"schedules": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "publish",
"datetime": "2999-01-01T10:00:00+05:30",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
]
}{
"error": "Not found."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Response
OK - Request succeeded